/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;

/**
 * Initial javadoc for class VPIDEntityKeyImpl.
 * TODO - Add content here
 * 
 * Created Dec 23, 2005 10:56:47 AM
 * @author DNS   BOHMEG
 */
public class VPIDEntityKeyImpl extends ExternalComponent implements
		VPIDEntityKey {
	/**
	 * 
	 */
	private static final long serialVersionUID = -7186207053214758223L;
	private String vpid;
	private boolean isDeprecated = false;
	
	VPIDEntityKeyImpl(String vpid, boolean isDeprecated) {
		this.vpid = vpid;
		this.isDeprecated = isDeprecated;
	}

	VPIDEntityKeyImpl(String vpid) {
		this.vpid = vpid;
	}

	/**
	 * @return Returns the isDeprecated.
	 */
	public boolean isDeprecated() {
		return isDeprecated;
	}
	
	/* (non-Javadoc)
	 * @see gov.va.med.esr.service.external.person.VPIDEntityKey#getVPID()
	 */
	public String getVPID() {
		return vpid;
	}

	/* (non-Javadoc)
	 * @see gov.va.med.esr.service.external.person.VPIDEntityKey#setDeprecated(boolean)
	 */
	public void setDeprecated(boolean isDeprecated) {
		this.isDeprecated = isDeprecated;
	}
}
